## Common Features Common Features — Features available in all test programs |

## Command Line Options

All tests support the following command line options:

`--list-subtests` | list the available subtests and exit
`--run-subtest `subtest`` | run the specified subtest
`--debug[=log-domain]` | print extra debugging information when running tests and optionally only show the messages from the specified log domain (use "application" to specify the default application domain)
`--help-description` | print a short description of the test and exit
`--help` | print help and exit

## Exit Status

The following exit status codes are defined:

Name | Value | Description
--- | --- | ---
#IGT_EXIT_SUCCESS | 0 | The test was successful
#IGT_EXIT_SKIP | 77 | The test was skipped
#IGT_EXIT_TIMEOUT | 78 | The test took longer than expected and was stopped
#IGT_EXIT_INVALID | 79 | An invalid option or subtest was specified

Any other exit status indicates a test failure.